POST/items/{id}/mfa

Send MFA

When item is Waiting User Input, this method allows to submit multi-factor authentication value

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Request Body

required
object

Request with the MFA value provided by the user, in the format [name]:[value]

Example

json
{}

Responses

200Parameter was sent correctly
object

Item object

idrequiredstring

Primary identifier

connectorobject

Connector object

idrequirednumber (integer)

Primary identifier

namestring

Name of the institution

institutionUrlstring

Homepage of the institution

imageUrlstring

Image of the logo hosted by Pluggy

primaryColorstring

Primary color

typestring

Type of institution

countrystring

Country located

credentialsobject[]

Parameters required to start the connection

hasMFAboolean

Does the connector require an MFA to execute?

productsstring[]

Products supported by the connector

oauthboolean

If 'true', the connector requires an Oauth flow to execute

oauthUrlstring

URL to perform Oauth flow if needed

resetPasswordUrlstring

URL to the financial institution to reset the password

healthobject

Connector health status

isOpenFinanceboolean

Indicates if the connector uses the regulated Open Finance APIs

supportsPaymentInitiationboolean

Indicates if the connector supports the payment initiation API

supportsScheduledPaymentsboolean

Indicates if the connector supports scheduled payments

supportsSmartTransfersboolean

Indicates if the connector supports smart transfers

supportsBoletoManagementboolean

Indicates if the connector supports boleto management

supportsAutomaticPixboolean

Indicates if the connector supports automatic Pix

createdAtstring (date-time)

Date of creation

updatedAtstring (date-time)

Date of last modification

statusrequiredstring

Status of the Item

executionStatusrequiredstring

Status of the sync execution

errorobject

Detailed error message

coderequiredstring

Error code

messagerequiredstring

Detailed error message

providerMessagestring

Information provider by the institution mainly when user needs to perform an action

attributesobject

'{ [key]:[value] }'. Additional information necessary for future executions, used for example in some device authorization flow

parameterobject

Credential details for a connector

namerequiredstring

Name of the key

labelrequiredstring

Label for input

typerequiredstring

Type of credential required

textpasswordnumberimageselect
assistiveTextstring

Text to help the user when completing the input

datastring

Used to return base64 images

placeholderstring

Placeholder text for the input

validationstring

Regex validation for the user's input

validationMessagestring

Validation message when input doesn't match the regex

mfaboolean

Credential is an MFA parameter and must be refreshed on each execution

optionsobject[]

List of possible values for the input

userActionobject

User action details for an item

instructionsrequiredstring

Instructions related to the user action

attributesobject

'{ [key]:[value] }'. Additional information related to the user action, for exampke in some device authorization flow

expiresAtstring (date-time)

User action expiration date

webhookUrlstring

Url to be notified of item changes

createdAtstring (date-time)

Date of creation

updatedAtstring (date-time)

Date of last modification

lastUpdatedAtstring (date-time)

Date of last syncronization

statusDetailobject

Detailed status of the item. This field will be present when the status is PARTIAL_SUCCESS or when a product in the item has warnings

accountsobject

Detailed status of the product

creditCardsobject

Detailed status of the product

transactionsobject

Detailed status of the product

investmentsobject

Detailed status of the product

identityobject

Detailed status of the product

investmentsTransactionsobject

Detailed status of the product

paymentDataobject

Detailed status of the product

loansobject

Detailed status of the product

accountStatementsobject

Detailed status of the product

nextAutoSyncAtstring (date-time)

Date of next auto-sync, or null if auto-sync is disabled for this Item

consecutiveFailedLoginAttemptsnumber (integer)

Consecutives execution that ends up with a LOGIN_ERROR status

consentExpiresAtstring (date-time)

Consent expiration date

productsstring[]

Products collected by the item

itemsstring
ACCOUNTSCREDIT_CARDSTRANSACTIONSPAYMENT_DATAINVESTMENTSINVESTMENTS_TRANSACTIONSIDENTITYBROKERAGE_NOTEMOVE_SECURITYLOANS

Example response

json
{
  "id": "e062ab2b-9006-45e8-b689-defabba53647",
  "connector": {
    "id": 200,
    "name": "MeuPluggy",
    "primaryColor": "ef294b",
    "institutionUrl": "https://meu.pluggy.ai/",
    "country": "BR",
    "type": "PERSONAL_BANK",
    "credentials": [],
    "imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/sandbox.svg",
    "hasMFA": false,
    "oauth": true,
    "health": {
      "status": "ONLINE",
      "stage": null
    },
    "products": [
      "ACCOUNTS",
      "TRANSACTIONS",
      "CREDIT_CARDS",
      "INVESTMENTS",
      "INVESTMENTS_TRANSACTIONS",
      "PAYMENT_DATA",
      "IDENTITY",
      "BROKERAGE_NOTE"
    ],
    "createdAt": "2023-09-12T16:44:13.900Z",
    "isSandbox": false,
    "isOpenFinance": false,
    "updatedAt": "2024-11-26T13:33:44.296Z",
    "supportsPaymentInitiation": false,
    "supportsScheduledPayments": false,
    "supportsSmartTransfers": false,
    "supportsBoletoManagement": false
  },
  "createdAt": "2024-09-19T13:10:31.212Z",
  "updatedAt": "2024-09-19T13:11:23.613Z",
  "status": "UPDATED",
  "executionStatus": "SUCCESS",
  "lastUpdatedAt": "2024-09-19T13:11:23.595Z",
  "webhookUrl": null,
  "error": null,
  "clientUserId": "gabriel@pluggy.ai",
  "consecutiveFailedLoginAttempts": 0,
  "statusDetail": null,
  "parameter": null,
  "userAction": null,
  "nextAutoSyncAt": null,
  "consentExpiresAt": null,
  "products": [
    "ACCOUNTS",
    "CREDIT_CARDS",
    "TRANSACTIONS",
    "INVESTMENTS",
    "IDENTITY",
    "INVESTMENTS_TRANSACTIONS",
    "PAYMENT_DATA"
  ],
  "oauthRedirectUri": null
}

Code Examples

bash
curl -X POST 'https://api.pluggy.ai/items/{id}/mfa' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY' \
  -d '{}'

Try It

Path Parameters